>From a0d72d9c90f33872896d84bde121cb3e4d9bddf5 Mon Sep 17 00:00:00 2001
From: Nathan Kinder <nkinder@redhat.com>
Date: Wed, 1 Feb 2012 20:43:21 -0800
Subject: [PATCH] Update version number to 10.0.0

---
 pki/CMakeLists.txt                            |   22 ++++----
 pki/scripts/compose_dogtag_pki_theme_packages |    2 +-
 pki/scripts/compose_ipa_pki_theme_packages    |    2 +-
 pki/scripts/compose_pki_console_packages      |    2 +-
 pki/scripts/compose_pki_core_packages         |    2 +-
 pki/scripts/compose_pki_kra_packages          |    2 +-
 pki/scripts/compose_pki_migrate_packages      |    2 +-
 pki/scripts/compose_pki_ocsp_packages         |    2 +-
 pki/scripts/compose_pki_ra_packages           |    2 +-
 pki/scripts/compose_pki_tks_packages          |    2 +-
 pki/scripts/compose_pki_tps_packages          |    2 +-
 pki/specs/dogtag-pki-theme.spec               |   18 +++++-
 pki/specs/dogtag-pki.spec                     |   76 ++++++++++++-------------
 pki/specs/ipa-pki-theme.spec                  |   18 +++++-
 pki/specs/pki-console.spec                    |   18 +++++-
 pki/specs/pki-core.spec                       |   18 +++++-
 pki/specs/pki-kra.spec                        |   18 +++++-
 pki/specs/pki-migrate.spec                    |   18 +++++-
 pki/specs/pki-ocsp.spec                       |   18 +++++-
 pki/specs/pki-ra.spec                         |   22 +++++--
 pki/specs/pki-tks.spec                        |   18 +++++-
 pki/specs/pki-tps.spec                        |   22 +++++--
 22 files changed, 201 insertions(+), 105 deletions(-)

diff --git a/pki/CMakeLists.txt b/pki/CMakeLists.txt
index b17efe53b15b14889c52bd49ccfbbbeb90350ace..d707abdbaa210809a4f8ee2a310d304e83f4253b 100644
--- a/pki/CMakeLists.txt
+++ b/pki/CMakeLists.txt
@@ -6,49 +6,49 @@ cmake_minimum_required(VERSION 2.6.0)
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
 
-set(APPLICATION_VERSION_MAJOR "9")
+set(APPLICATION_VERSION_MAJOR "10")
 set(APPLICATION_VERSION_MINOR "0")
 set(APPLICATION_VERSION_PATCH "0")
 
 if (BUILD_IPA_PKI_THEME)
     set(APPLICATION_FLAVOR_IPA_PKI_THEME TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "5")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_DOGTAG_PKI_THEME)
     set(APPLICATION_FLAVOR_DOGTAG_PKI_THEME TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "9")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_REDHAT_PKI_THEME)
     set(APPLICATION_FLAVOR_REDHAT_PKI_THEME TRUE)
 elseif (BUILD_PKI_CORE)
     set(APPLICATION_FLAVOR_PKI_CORE TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "16")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_KRA)
     set(APPLICATION_FLAVOR_PKI_KRA TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "9")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_OCSP)
     set(APPLICATION_FLAVOR_PKI_OCSP TRUE)
-    set(APPLICATION_VERSION_PATCH "8")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_RA)
     set(APPLICATION_FLAVOR_PKI_RA TRUE)
-    set(APPLICATION_VERSION_PATCH "4")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_TKS)
     set(APPLICATION_FLAVOR_PKI_TKS TRUE)
-    set(APPLICATION_VERSION_PATCH "8")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_TPS)
     set(APPLICATION_FLAVOR_PKI_TPS TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "7")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_CONSOLE)
     set(APPLICATION_FLAVOR_PKI_CONSOLE TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "5")
+    set(APPLICATION_VERSION_PATCH "0")
 elseif (BUILD_PKI_MIGRATE)
     set(APPLICATION_FLAVOR_PKI_MIGRATE TRUE)
     # override APPLICATION VERSION
-    set(APPLICATION_VERSION_PATCH "2")
+    set(APPLICATION_VERSION_PATCH "0")
 endif ()
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
diff --git a/pki/scripts/compose_dogtag_pki_theme_packages b/pki/scripts/compose_dogtag_pki_theme_packages
index 8029b2f35b27f5f71b3e9236485d869008dc62e4..7a236d774e8f2f3520c7151156aa7f9b95c7d261 100755
--- a/pki/scripts/compose_dogtag_pki_theme_packages
+++ b/pki/scripts/compose_dogtag_pki_theme_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 DOGTAG_PKI_THEME="dogtag-pki-theme"
-DOGTAG_PKI_THEME_VERSION="9.0.9"
+DOGTAG_PKI_THEME_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_ipa_pki_theme_packages b/pki/scripts/compose_ipa_pki_theme_packages
index 00eb0957bbd1bbafea10942b3bfcb628c385ed28..4d1e494167abdcbc36c43b50c27fe88a25135119 100755
--- a/pki/scripts/compose_ipa_pki_theme_packages
+++ b/pki/scripts/compose_ipa_pki_theme_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 IPA_PKI_THEME="ipa-pki-theme"
-IPA_PKI_THEME_VERSION="9.0.5"
+IPA_PKI_THEME_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_console_packages b/pki/scripts/compose_pki_console_packages
index 5b5281a2598db5d3493973ed7f25cb7660185ed0..14f9070360c11bcf2158c8d22cfa1558e55543b8 100755
--- a/pki/scripts/compose_pki_console_packages
+++ b/pki/scripts/compose_pki_console_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_CONSOLE="pki-console"
-PKI_CONSOLE_VERSION="9.0.5"
+PKI_CONSOLE_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_core_packages b/pki/scripts/compose_pki_core_packages
index 5486c711512522428038b6c52514dc9700fc4939..d84d41da7e1cf1ebd02369337382638cd6626b4c 100755
--- a/pki/scripts/compose_pki_core_packages
+++ b/pki/scripts/compose_pki_core_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_CORE="pki-core"
-PKI_CORE_VERSION="9.0.16"
+PKI_CORE_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_kra_packages b/pki/scripts/compose_pki_kra_packages
index 72ced759e04200c57c21bdddac29aa5cee300c5b..dc4ad1919429ea0ab1c770444b5808749f0322f7 100755
--- a/pki/scripts/compose_pki_kra_packages
+++ b/pki/scripts/compose_pki_kra_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_KRA="pki-kra"
-PKI_KRA_VERSION="9.0.9"
+PKI_KRA_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_migrate_packages b/pki/scripts/compose_pki_migrate_packages
index 7f0ca8ace990131f6457301f1a81dadfa06febf9..a5d3e26d7ad281da3afccf64738948643f6cde3f 100755
--- a/pki/scripts/compose_pki_migrate_packages
+++ b/pki/scripts/compose_pki_migrate_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_MIGRATE="pki-migrate"
-PKI_MIGRATE_VERSION="9.0.2"
+PKI_MIGRATE_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_ocsp_packages b/pki/scripts/compose_pki_ocsp_packages
index 47d8760ef528755a7d517bfb79d84df5fd3961ad..257578f9fc2e8071e1004b46e95215dfe62e071c 100755
--- a/pki/scripts/compose_pki_ocsp_packages
+++ b/pki/scripts/compose_pki_ocsp_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_OCSP="pki-ocsp"
-PKI_OCSP_VERSION="9.0.8"
+PKI_OCSP_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_ra_packages b/pki/scripts/compose_pki_ra_packages
index 7595a4457064368d74a5bc04986c7367cea8dde4..8a5476f9d650073a060c9d510ecdfefefa9de501 100755
--- a/pki/scripts/compose_pki_ra_packages
+++ b/pki/scripts/compose_pki_ra_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_RA="pki-ra"
-PKI_RA_VERSION="9.0.4"
+PKI_RA_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_tks_packages b/pki/scripts/compose_pki_tks_packages
index 54bc58b144baf1c8d5b6c361f19a252d05f009cb..001774e943bacb86fd115084a970eebd63c2159f 100755
--- a/pki/scripts/compose_pki_tks_packages
+++ b/pki/scripts/compose_pki_tks_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_TKS="pki-tks"
-PKI_TKS_VERSION="9.0.8"
+PKI_TKS_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/scripts/compose_pki_tps_packages b/pki/scripts/compose_pki_tps_packages
index e7f642cd101ffd17eff0d11b918627639ee1a222..7e4b95db77e5cea87d799349ae666ba70f82378e 100755
--- a/pki/scripts/compose_pki_tps_packages
+++ b/pki/scripts/compose_pki_tps_packages
@@ -31,7 +31,7 @@ PKI_PWD=`pwd`
 ##
 
 PKI_TPS="pki-tps"
-PKI_TPS_VERSION="9.0.7"
+PKI_TPS_VERSION="10.0.0.a1"
 
 
 ##
diff --git a/pki/specs/dogtag-pki-theme.spec b/pki/specs/dogtag-pki-theme.spec
index 0ace718d271899bf9de62f857b8552dae3a9363b..abd436af16560c7d766ba299fd101f6460a7771d 100644
--- a/pki/specs/dogtag-pki-theme.spec
+++ b/pki/specs/dogtag-pki-theme.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             dogtag-pki-theme
-Version:          9.0.9
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - Dogtag PKI Theme Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -18,7 +25,7 @@ BuildRequires:    jpackage-utils >= 1.7.5-10
 BuildRequires:    jpackage-utils
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %if 0%{?rhel}
 ExcludeArch:      ppc ppc64 s390 s390x
@@ -264,7 +271,7 @@ This package is used by the Dogtag Certificate System.
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -350,6 +357,9 @@ chmod 755 %{buildroot}%{_datadir}/pki/tps-ui/cgi-bin/sow/cfg.pl
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Thu Sep 22 2011 Andrew Wnuk <awnuk@redhat.com> 9.0.9-1
 - 'dogtag-pki-ca-theme'
 -      Bugzilla Bug #737423 - Ability to view migrated policy requests
diff --git a/pki/specs/dogtag-pki.spec b/pki/specs/dogtag-pki.spec
index addede4942cc0995e04077f461f0a1c17cf00337..9addffb7bfaca371fd30ed3fdb91db92f8744108 100644
--- a/pki/specs/dogtag-pki.spec
+++ b/pki/specs/dogtag-pki.spec
@@ -1,7 +1,14 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Summary:          Dogtag Public Key Infrastructure (PKI) Suite
 Name:             dogtag-pki
-Version:          9.0.0
-Release:          8%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 # The entire source code is GPLv2 except for 'pki-tps' which is LGPLv2
 License:          GPLv2 and LGPLv2
 URL:              http://pki.fedoraproject.org/
@@ -11,58 +18,44 @@ BuildArch:        noarch
 
 # Establish MINIMUM package versions based upon platform
 %if 0%{?fedora} >= 17
-%define dogtag_pki_theme_version   9.0.9
+%define dogtag_pki_theme_version   10.0.0
 %define esc_version                1.1.0
 %define jss_version                4.2.6-21
 %define osutil_version             2.0.2
-%define pki_core_version           9.0.16
-%define pki_kra_version            9.0.9
-%define pki_ocsp_version           9.0.8
-%define pki_ra_version             9.0.4
-%define pki_tks_version            9.0.8
-%define pki_tps_version            9.0.7
-%define pki_console_version        9.0.5
+%define pki_core_version           10.0.0
+%define pki_kra_version            10.0.0
+%define pki_ocsp_version           10.0.0
+%define pki_ra_version             10.0.0
+%define pki_tks_version            10.0.0
+%define pki_tps_version            10.0.0
+%define pki_console_version        10.0.0
 %define tomcatjss_version          6.0.2
 %else
 %if 0%{?fedora} >= 16
-%define dogtag_pki_theme_version   9.0.9
+%define dogtag_pki_theme_version   10.0.0
 %define esc_version                1.1.0
 %define jss_version                4.2.6-19.1
 %define osutil_version             2.0.2
-%define pki_core_version           9.0.15
-%define pki_kra_version            9.0.8
-%define pki_ocsp_version           9.0.7
-%define pki_ra_version             9.0.4
-%define pki_tks_version            9.0.7
-%define pki_tps_version            9.0.7
-%define pki_console_version        9.0.5
+%define pki_core_version           10.0.0
+%define pki_kra_version            10.0.0
+%define pki_ocsp_version           10.0.0
+%define pki_ra_version             10.0.0
+%define pki_tks_version            10.0.0
+%define pki_tps_version            10.0.0
+%define pki_console_version        10.0.0
 %define tomcatjss_version          6.0.2
 %else
-%if 0%{?fedora} >= 15
-%define dogtag_pki_theme_version   9.0.0
-%define esc_version                1.1.0
-%define jss_version                4.2.6-17
-%define osutil_version             2.0.1
-%define pki_core_version           9.0.0
-%define pki_kra_version            9.0.0
-%define pki_ocsp_version           9.0.0
-%define pki_ra_version             9.0.0
-%define pki_tks_version            9.0.0
-%define pki_tps_version            9.0.0
-%define pki_console_version        9.0.0
-%define tomcatjss_version          6.0.0
-%else
-%define dogtag_pki_theme_version   9.0.0
+%define dogtag_pki_theme_version   10.0.0
 %define esc_version                1.1.0
 %define jss_version                4.2.6-17
 %define osutil_version             2.0.0
-%define pki_core_version           9.0.0
-%define pki_kra_version            9.0.0
-%define pki_ocsp_version           9.0.0
-%define pki_ra_version             9.0.0
-%define pki_tks_version            9.0.0
-%define pki_tps_version            9.0.0
-%define pki_console_version        9.0.0
+%define pki_core_version           10.0.0
+%define pki_kra_version            10.0.0
+%define pki_ocsp_version           10.0.0
+%define pki_ra_version             10.0.0
+%define pki_tks_version            10.0.0
+%define pki_tps_version            10.0.0
+%define pki_console_version        10.0.0
 %define tomcatjss_version          2.0.0
 %endif
 %endif
@@ -194,6 +187,9 @@ rm -rf %{buildroot}
 %doc README
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Fri Oct 28 2011 Matthew Harmsen <mharmsen@redhat.com> 9.0.8-1
 - Bugzilla Bug #749927 - Java class conflicts using Java 7 in Fedora 17
   (rawhide) . . .
diff --git a/pki/specs/ipa-pki-theme.spec b/pki/specs/ipa-pki-theme.spec
index dfd4515350ed33965e51a8ec329025fd1b3f41b7..1b9ef9eba3f2061ffe8d0ac7b0c6830ab34c374b 100644
--- a/pki/specs/ipa-pki-theme.spec
+++ b/pki/specs/ipa-pki-theme.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             ipa-pki-theme
-Version:          9.0.5
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - IPA PKI Theme Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -12,7 +19,7 @@ BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:    cmake
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %if 0%{?rhel}
 ExcludeArch:      ppc ppc64 s390 s390x
@@ -92,7 +99,7 @@ This package is used by the Certificate System utilized by IPA.
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -126,6 +133,9 @@ cd build
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Tue Aug 23 2011 Matthew Harmsen <mharmsen@redhat.com> 9.0.5-1
 - 'ipa-pki-ca-theme'
 -      Bugzilla Bug #695015 - Serial No. of a revoked certificate is not
diff --git a/pki/specs/pki-console.spec b/pki/specs/pki-console.spec
index b2251740410afaa3d71a904da36b60ac6a6fd75c..8bf9cbadaacb4816cd34a8bdaa1e2e1c1135ffbb 100644
--- a/pki/specs/pki-console.spec
+++ b/pki/specs/pki-console.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-console
-Version:          9.0.5
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - PKI Console
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -38,7 +45,7 @@ Requires:         jpackage-utils
 Requires:         jss >= 4.2.6-17
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %description
 Certificate System (CS) is an enterprise software system designed
@@ -56,7 +63,7 @@ following "Mutually-Exclusive" PKI Theme packages:
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -84,6 +91,9 @@ cd build
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Thu Sep 22 2011 Matthew Harmsen <mharmsen@redhat.com> 9.0.5-1
 - Bugzilla Bug #734590 - Refactor JNI libraries for Fedora 16+ . . . (mharmsen)
 - Bugzilla Bug #699809 - Convert CS to use systemd (alee)
diff --git a/pki/specs/pki-core.spec b/pki/specs/pki-core.spec
index 6c0bb37f2e94a928974e5089f76fcc93054c4478..48ef1f3e36b564b54500a508368f808e878f4a71 100644
--- a/pki/specs/pki-core.spec
+++ b/pki/specs/pki-core.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-core
-Version:          9.0.16
-Release:          3%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -47,7 +54,7 @@ BuildRequires:    tomcatjss >= 2.0.0
 %endif
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %if 0%{?rhel}
 ExcludeArch:      ppc ppc64 s390 s390x
@@ -440,7 +447,7 @@ This package is a part of the PKI Core used by the Certificate System.
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -727,6 +734,9 @@ fi
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Mon Jan 16 2012 Ade Lee <alee@redhat.com> 9.0.16-3
 - Added resteasy-jettison-provider-2.3-RC1.jar to pki-setup
 
diff --git a/pki/specs/pki-kra.spec b/pki/specs/pki-kra.spec
index 0747773c933bbd187c68c0b4ef1d08d09af158c7..6e6f3572bef2d9b4d34309e5737d96cd31385c6a 100644
--- a/pki/specs/pki-kra.spec
+++ b/pki/specs/pki-kra.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-kra
-Version:          9.0.9
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - Data Recovery Manager
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -64,7 +71,7 @@ Requires(postun): initscripts
 %endif
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %description
 Certificate System (CS) is an enterprise software system designed
@@ -112,7 +119,7 @@ Additionally, Certificate System requires ONE AND ONLY ONE of the following
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -238,6 +245,9 @@ fi
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Fri Oct 28 2011 Matthew Harmsen <mharmsen@redhat.com> 9.0.9-1
 - Bugzilla Bug #737122 - DRM: during archiving and recovering,
   wrapping unwrapping keys should be done in the token (cfu)
diff --git a/pki/specs/pki-migrate.spec b/pki/specs/pki-migrate.spec
index ea89f9cee2eddfb1dcbf2692cf3fcc424ab90b18..9047e3b2bc5e7f1a86d99c05cc84dd638dcfbe01 100644
--- a/pki/specs/pki-migrate.spec
+++ b/pki/specs/pki-migrate.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-migrate
-Version:          9.0.2
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Red Hat Certificate System - PKI Migration Scripts
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -19,7 +26,7 @@ BuildRequires:    jpackage-utils
 
 Requires:         java >= 1:1.6.0
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %global _binaries_in_noarch_packages_terminate_build   0
 
@@ -40,7 +47,7 @@ hardware platforms as well as earlier versions of this operating system.
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -68,6 +75,9 @@ cd build
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Fri Oct 28 2011 Andrew Wnuk <awnuk@redhat.com> 9.0.2-1
 - Bugzilla Bug #737216 - unnecessary empty lines in "cert-info" attributes
   created in 7.1->8.0 migration
diff --git a/pki/specs/pki-ocsp.spec b/pki/specs/pki-ocsp.spec
index 2eaffb3cc4f0188609a791415953e0740cdff00c..813ddc37e442c53db1ec4328e1c8a1b737eefb1b 100644
--- a/pki/specs/pki-ocsp.spec
+++ b/pki/specs/pki-ocsp.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-ocsp
-Version:          9.0.8
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - Online Certificate Status Protocol Manager
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -64,7 +71,7 @@ Requires(postun): initscripts
 %endif
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %description
 Certificate System (CS) is an enterprise software system designed
@@ -119,7 +126,7 @@ Additionally, Certificate System requires ONE AND ONLY ONE of the following
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -248,6 +255,9 @@ fi
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Fri Oct 28 2011 Matthew Harmsen <mharmsen@redhat.com> 9.0.8-1
 - Bugzilla Bug #749945 - Installation error reported during CA, DRM,
   OCSP, and TKS package installation . . .
diff --git a/pki/specs/pki-ra.spec b/pki/specs/pki-ra.spec
index bcc33560ce9210f1796aac8f91cb6741143390ea..035cb620482908fb48355815e503ac4d219f1aef 100644
--- a/pki/specs/pki-ra.spec
+++ b/pki/specs/pki-ra.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-ra
-Version:          9.0.4
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - Registration Authority
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -37,7 +44,7 @@ Requires(postun): initscripts
 Requires:         initscripts
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %description
 Certificate System (CS) is an enterprise software system designed
@@ -74,7 +81,7 @@ Additionally, Certificate System requires ONE AND ONLY ONE of the following
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 cat << \EOF > %{name}-prov
 #!/bin/sh
@@ -82,7 +89,7 @@ cat << \EOF > %{name}-prov
 sed -e '/perl(PKI.*)/d' -e '/perl(Template.*)/d'
 EOF
 
-%global __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
+%global __perl_provides %{_builddir}/%{name}-%{version}%{?prerel}/%{name}-prov
 chmod +x %{__perl_provides}
 
 cat << \EOF > %{name}-req
@@ -91,7 +98,7 @@ cat << \EOF > %{name}-req
 sed -e '/perl(PKI.*)/d' -e '/perl(Template.*)/d'
 EOF
 
-%global __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
+%global __perl_requires %{_builddir}/%{name}-%{version}%{?prerel}/%{name}-req
 chmod +x %{__perl_requires}
 
 
@@ -181,6 +188,9 @@ fi
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Thu Sep 22 2011 Ade Lee <alee@redhat.com> 9.0.4-1
 - Bugzilla Bug #733065 - User enrollment with RA -- this fails with
   CA Connection Error
diff --git a/pki/specs/pki-tks.spec b/pki/specs/pki-tks.spec
index 4e1e32e4a63c65eba8e67c90405e9e4827291874..43956de7fd14ba04735c20bab2347e16fd506f79 100644
--- a/pki/specs/pki-tks.spec
+++ b/pki/specs/pki-tks.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-tks
-Version:          9.0.8
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - Token Key Service
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -64,7 +71,7 @@ Requires(postun): initscripts
 %endif
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %description
 Certificate System (CS) is an enterprise software system designed
@@ -113,7 +120,7 @@ Additionally, Certificate System requires ONE AND ONLY ONE of the following
 %prep
 
 
-%setup -q
+%setup -q -n %{name}-%{version}%{?prerel}
 
 
 %clean
@@ -238,6 +245,9 @@ fi
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Fri Oct 28 2011 Matthew Harmsen <mharmsen@redhat.com> 9.0.8-1
 - Bugzilla Bug #749945 - Installation error reported during CA, DRM,
   OCSP, and TKS package installation . . .
diff --git a/pki/specs/pki-tps.spec b/pki/specs/pki-tps.spec
index ac704526ec496febff7815f584b2100981056e4d..f3bff7ae7b4459e07bda08f69c3449dd278c8894 100644
--- a/pki/specs/pki-tps.spec
+++ b/pki/specs/pki-tps.spec
@@ -1,6 +1,13 @@
+# for a pre-release, define the prerel field e.g. .a1 .rc2 - comment out for official release
+# also remove the space between % and global - this space is needed because
+# fedpkg verrel stupidly ignores comment lines
+%global prerel .a1
+# also need the relprefix field for a pre-release e.g. .0 - also comment out for official release
+%global relprefix 0.
+
 Name:             pki-tps
-Version:          9.0.7
-Release:          1%{?dist}
+Version:          10.0.0
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 Summary:          Certificate System - Token Processing System
 URL:              http://pki.fedoraproject.org/
 License:          LGPLv2
@@ -43,7 +50,7 @@ Requires(postun): initscripts
 Requires:         initscripts
 %endif
 
-Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz
+Source0:          http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}%{?prerel}.tar.gz
 
 %global overview                                                          \
 Certificate System (CS) is an enterprise software system designed         \
@@ -96,7 +103,7 @@ ${overview}
 %prep
 
 
-%setup -q -n %{name}-%{version}
+%setup -q -n %{name}-%{version}%{?prerel}
 
 cat << \EOF > %{name}-prov
 #!/bin/sh
@@ -104,7 +111,7 @@ cat << \EOF > %{name}-prov
 sed -e '/perl(PKI.*)/d' -e '/perl(Template.*)/d'
 EOF
 
-%global __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
+%global __perl_provides %{_builddir}/%{name}-%{version}%{?prerel}/%{name}-prov
 chmod +x %{__perl_provides}
 
 cat << \EOF > %{name}-req
@@ -113,7 +120,7 @@ cat << \EOF > %{name}-req
 sed -e '/perl(PKI.*)/d' -e '/perl(Template.*)/d'
 EOF
 
-%global __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
+%global __perl_requires %{_builddir}/%{name}-%{version}%{?prerel}/%{name}-req
 chmod +x %{__perl_requires}
 
 
@@ -215,6 +222,9 @@ fi
 
 
 %changelog
+* Wed Feb  1 2012 Nathan Kinder <nkinder@redhat.com> 10.0.0-0.1.a1
+- Updated package version number
+
 * Thu Sep 22 2011 Jack Magne <jmagne@redhat.com> 9.0.7-1
 - Bugzilla Bug #730146 - SSL handshake picks non-FIPS ciphers in FIPS mode (cfu)
 - Bugzilla Bug #730162 - TPS/TKS token enrollment failure in FIPS mode
-- 
1.7.7.6

